const int redLEDPin = 10;
const int greenLEDPin = 9;
const int blueLEDPin = 11;

const int redSensorPin = A0;
const int greenSensorPin = A1;
const int blueSensorPin = A2;

int redValue = 0;
int greenValue = 0;
int blueValue = 0;

int redSensorValue = 0;
int greenSensorValue = 0;
int blueSensorValue = 0;

void setup() {
    Serial.begin(9600);

    pinMode(redLEDPin, OUTPUT);
    pinMode(greenLEDPin, OUTPUT);
    pinMode(blueLEDPin, OUTPUT);
}

void loop() {
    redSensorValue = analogRead(redSensorPin);
    delay(100);
    greenSensorValue = analogRead(greenSensorPin);
    delay(100);
    blueSensorValue = analogRead(blueSensorPin);
    delay(100);

    Serial.print("\n\nRaw values \t\n red: ");
    Serial.print(redSensorValue);
    Serial.print("\t\n green: ");
    Serial.print(greenSensorValue);
    Serial.print("\t\n blue: ");
    Serial.print(blueSensorValue);

    redValue = redSensorValue/4;
    greenValue = greenSensorValue/4;
    blueValue = blueSensorValue/4;


    Serial.print("\nMapped values \t\n red: ");
    Serial.print(redValue);
    Serial.print("\t\n green: ");
    Serial.print(greenValue);
    Serial.print("\t\n blue: ");
    Serial.print(blueValue);

    analogWrite(redLEDPin, redValue);
    analogWrite(greenLEDPin, greenValue);
    analogWrite(blueLEDPin, blueValue);

}
